org.apache.mina.integration.ognl

## Class IoFilterPropertyAccessor

- java.lang.Object
- - ognl.ObjectPropertyAccessor
  - - org.apache.mina.integration.ognl.AbstractPropertyAccessor
    - - org.apache.mina.integration.ognl.IoFilterPropertyAccessor

- All Implemented Interfaces:
    ognl.PropertyAccessor

      public class IoFilterPropertyAccessor
      extends AbstractPropertyAccessor

  An OGNL `PropertyAccessor` for `IoFilter`.
  Author:
    Apache MINA Project

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoFilterPropertyAccessor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `getProperty0(ognl.OgnlContext context, Object target, String name)`
    `protected boolean` | `hasGetProperty0(ognl.OgnlContext context, Object target, String name)`
    `protected boolean` | `hasSetProperty0(ognl.OgnlContext context, Object target, String name)`
    `protected Object` | `setProperty0(ognl.OgnlContext context, Object target, String name, Object value)`

    - ### Methods inherited from class org.apache.mina.integration.ognl.AbstractPropertyAccessor

      `getPossibleProperty, getProperty, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty, setProperty`

    - ### Methods inherited from class ognl.ObjectPropertyAccessor

      `getPropertyClass, getSourceAccessor, getSourceSetter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IoFilterPropertyAccessor

          public IoFilterPropertyAccessor()

  - ### Method Detail

    - #### getProperty0

          protected Object getProperty0(ognl.OgnlContext context,
                            Object target,
                            String name)
                                 throws ognl.OgnlException

      Specified by:
        `getProperty0` in class `AbstractPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### hasGetProperty0

          protected boolean hasGetProperty0(ognl.OgnlContext context,
                                Object target,
                                String name)
                                     throws ognl.OgnlException

      Specified by:
        `hasGetProperty0` in class `AbstractPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### hasSetProperty0

          protected boolean hasSetProperty0(ognl.OgnlContext context,
                                Object target,
                                String name)
                                     throws ognl.OgnlException

      Specified by:
        `hasSetProperty0` in class `AbstractPropertyAccessor`
      Throws:
        `ognl.OgnlException`

    - #### setProperty0

          protected Object setProperty0(ognl.OgnlContext context,
                            Object target,
                            String name,
                            Object value)
                                 throws ognl.OgnlException

      Specified by:
        `setProperty0` in class `AbstractPropertyAccessor`
      Throws:
        `ognl.OgnlException`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.